/*++

Copyright (c) 1998 Microsoft Corporation

Module Name:

    plugin.c

Abstract:

    Pool Analysis Plug-in

Author:

    MSKK Oem Tools Project    05-Jun-1998

Revision History:

--*/

#include "precomp.h"
#pragma hdrstop


//
// Module handle, saved away at process attach time.
//
HANDLE MyModuleHandle;
KANALYZE_EXTENSION_APIS KanalyzeExtensionApis;


BOOL
EXPOOL_RegisterPlugIn(
    IN KANALYZE_REGISTER_PLUGIN_PROC RegistrationRoutine,
    IN ULONG32 CrashPlatform,
    IN ULONG32 CrashBuildNumber,
    PVOID Reserved1,
    UINT_PTR Reserved2
    );

#ifndef _NT351
BOOL
LOOKASIDE_RegisterPlugIn(
    IN KANALYZE_REGISTER_PLUGIN_PROC RegistrationRoutine,
    IN ULONG32 CrashPlatform,
    IN ULONG32 CrashBuildNumber,
    PVOID Reserved1,
    UINT_PTR Reserved2
    );
#endif //_NT351

BOOL
POOLEXT_RegisterPlugIn(
    IN KANALYZE_REGISTER_PLUGIN_PROC RegistrationRoutine,
    IN ULONG32 CrashPlatform,
    IN ULONG32 CrashBuildNumber,
    PVOID Reserved1,
    UINT_PTR Reserved2
    );

BOOL
WINAPI
DllMain(
    IN HANDLE DllHandle,
    IN DWORD  Reason,
    IN LPVOID Reserved
    )

/*++

Routine Description:

    This routine is this dll's Win32 dll entry point, called indirectly
    because we're using the CRT DLL with _DllMainCRTStartup as the dll
    entry point.

Arguments:

    Standard win32 dll entry arguments.

Return Value:

    Always TRUE.

--*/

{
    BOOL b;

    UNREFERENCED_PARAMETER(Reserved);

    b = TRUE;

    switch(Reason) {
    case DLL_PROCESS_ATTACH:
        MyModuleHandle = DllHandle;
        break;

    case DLL_THREAD_ATTACH:
        break;

    case DLL_PROCESS_DETACH:
        break;

    case DLL_THREAD_DETACH:
        break;
    }

    return (b);
}



VOID
CALLBACK
KanalyzeRegisterPlugIns(
    IN KANALYZE_REGISTER_PLUGIN_PROC RegistrationRoutine,
    IN ULONG32 CrashPlatform,
    IN ULONG32 CrashBuildNumber,
    PVOID Reserved1,
    UINT_PTR Reserved2
    )
/*++

Routine Description:


Arguments:


Return Value:


--*/

{
    EXPOOL_RegisterPlugIn(
        RegistrationRoutine,
        CrashPlatform,
        CrashBuildNumber,
        Reserved1,
        Reserved2
        );

#ifndef _NT351
    LOOKASIDE_RegisterPlugIn(
        RegistrationRoutine,
        CrashPlatform,
        CrashBuildNumber,
        Reserved1,
        Reserved2
        );
#endif //_NT351

    POOLEXT_RegisterPlugIn(
        RegistrationRoutine,
        CrashPlatform,
        CrashBuildNumber,
        Reserved1,
        Reserved2
        );

    return;
}
